Your Store: 2 Waiouru Road, East Tamaki Auckland 2013 | Ph: (09) 2717 234
Order Code: C0075
ex-gst
inc-gst
$ 44.00
$ 50.60
1 Year Warranty
Description

Forged Steel Ratchet F-Clamp - RFC-1020

100mm Throat Depth, 200mm Clamping Capacity
Quick Action Ratchet Handle
Overview
Featuring drop forged steel construction for superior strength & rigidity making them virtually unbreakable along with a quick action ratchet clamping handle making them fast & easy to use. Manufactured with precision controlled hardening and tempering processes over the whole clamp body giving strength for high clamping force along with chrome plating treatment for high corrosion resistance.
Recommended Accessories
Compare Product Range Compare Selected
  • Compare: 
  • Wishlist: 
  • ORDER CODE
  • MODEL
  • Type
  • Clamping Capacity
  • Locking Handle - Pivot Movement
  • Clamp Bar - Pivot Movement
  • (mm)Plunger Travel
  • (mm)Throat Depth
  • (mm)Opening
  • Size
  • (No.)Quantity Per Pack
  • (kg)Clamping Force
  • (mm)Over all Length
  • (kg)Nett Weight
  • (ex-gst)Pricing  
  • (inc-gst)   
  • Cleco Fastener Pliers
  • Compare
  • Wishlist
  • H8500
  • ~
  • Cleco Fastener Pliers
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • $32.00
  • $36.80
  • ADD TO CART
  • Side Grip Clamps ½” x ½” – Jaw Type
  • Compare
  • Wishlist
  • H8525
  • ~
  • Cleco - Side Grip Clamp 1/2"
  • ~
  • ~
  • ~
  • ~
  • 12.5mm or ½ ”
  • 15mm (19/32”)
  • ~
  • 5
  • ~
  • ~
  • ~
  • $50.00
  • $57.50
  • ADD TO CART
  • Side Grip Clamps ½” x 1" – Jaw Type
  • Compare
  • Wishlist
  • H8530
  • ~
  • Cleco - Side Grip Clamp 1"
  • ~
  • ~
  • ~
  • ~
  • 25mm or 1”
  • 15mm (19/32”)
  • ~
  • 5
  • ~
  • ~
  • ~
  • $50.00
  • $57.50
  • ADD TO CART
  • Cleco Fasteners 3/32”
  • Compare
  • Wishlist
  • H8505
  • ~
  • Cleco Fasteners 3/32”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $84.00
  • $96.60
  • ADD TO CART
  • Package Deal Cleco KIT C/W Pliers & 3/32” Fasteners
  • Compare
  • Wishlist
  • H8506
  • ~
  • Cleco KIT C/W Plier & 3/32” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $104.00
  • $119.60
  • ADD TO CART
  • Cleco Fasteners 1/8”
  • Compare
  • Wishlist
  • H8510
  • ~
  • Cleco Fasteners 1/8”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $84.00
  • $96.60
  • ADD TO CART
  • Package Deal Cleco KIT C/W Pliers & 1/8” Fasteners
  • Compare
  • Wishlist
  • H8511
  • ~
  • Cleco KIT C/W Plier & 1/8” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $104.00
  • $119.60
  • ADD TO CART
  • Cleco Fasteners 5/32”
  • Compare
  • Wishlist
  • H8515
  • ~
  • Cleco Fasteners 5/32”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $84.00
  • $96.60
  • ADD TO CART
  • Package Deal Cleco KIT C/W Pliers & 5/32” Fasteners
  • Compare
  • Wishlist
  • H8516
  • ~
  • Cleco KIT C/W Plier & 5/32” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $104.00
  • $119.60
  • ADD TO CART
  • Cleco Fasteners 3/16”
  • Compare
  • Wishlist
  • H8520
  • ~
  • Cleco Fasteners 3/16”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $84.00
  • $96.60
  • ADD TO CART
  • Package Deal Cleco KIT C/W Pliers & 3/16” Fasteners
  • Compare
  • Wishlist
  • H8516
  • ~
  • Cleco KIT C/W Plier & 3/16” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $104.00
  • $119.60
  • ADD TO CART
  • On Sale - Limited Stock Micro Welding Steel Clamp Set MWC-4
  • Compare
  • Wishlist
  • W112
  • MWC-4
  • Micro Steel Clamp Set
  • 0 - 7mm
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 4
  • ~
  • ~
  • ~
  • $20.00
  • $23.00
  • ADD TO CART
  • Butt Welding Aluminium & Steel Clamp Set BWC-4
  • Compare
  • Wishlist
  • W113
  • BWC-4
  • Butt Welding Clamp Set
  • 0 - 3mm
  • ~
  • ~
  • ~
  • 16
  • ~
  • 16 x 30mm Clamp Area
  • ~
  • Finger Thumb Lock
  • ~
  • 0.38
  • $38.00
  • $43.70
  • ADD TO CART
  • Vertical Toggle Clamp KL-102B
  • Compare
  • Wishlist
  • C1001
  • KL-102B
  • Vertical Toggle Clamp
  •  
  • 65º
  • 90º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 100kg
  • ~
  • 0.36
  • $20.00
  • $23.00
  • ADD TO CART
  • Vertical Toggle Clamp KL-12130
  • Compare
  • Wishlist
  • C100
  • KL-12130
  • Vertical Toggle Clamp
  •  
  • 65º
  • 100º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 227kg
  • ~
  • 0.36
  • $22.00
  • $25.30
  • ADD TO CART
  • Vertical Toggle Clamp MP-12265
  • Compare
  • Wishlist
  • C0999
  • MP-12265
  • Vertical Toggle Clamp
  •  
  • 58º
  • 105º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 340kg
  • ~
  • 0.7
  • $30.00
  • $34.50
  • ADD TO CART
  • Vertical Toggle Clamp MP-10247
  • Compare
  • Wishlist
  • C0998
  • MP-10247
  • Vertical Toggle Clamp
  •  
  • 70º
  • 135º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 450kg
  • ~
  • 1.25
  • $40.00
  • $46.00
  • ADD TO CART
  • Horizontal Toggle Clamp KL-201C
  • Compare
  • Wishlist
  • C1003
  • KL-201C
  • Horizontal Toggle Clamp
  •  
  • 87º
  • 79º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 100kg
  • ~
  • 0.36
  • $20.00
  • $23.00
  • ADD TO CART
  • Horizontal Toggle Clamp KL-225D
  • Compare
  • Wishlist
  • C1005
  • KL-225D
  • Horizontal Toggle Clamp
  •  
  • 65º
  • 90º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 250kg
  • ~
  • 0.36
  • $22.00
  • $25.30
  • ADD TO CART
  • Horizontal Toggle Clamp MP-20235
  • Compare
  • Wishlist
  • C1006
  • MP-20235
  • Horizontal Toggle Clamp
  •  
  • 50º
  • 85º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 340kg
  • ~
  • 0.6
  • $30.00
  • $34.50
  • ADD TO CART
  • Straight Line Toggle Clamp KL-36020
  • Compare
  • Wishlist
  • C1008
  • KL-36020
  • Straight Line Toggle Clamp
  •  
  • 144.5º
  • ~
  • 29.3
  • ~
  • ~
  • ~
  • 1
  • 220kg
  • ~
  • 0.36
  • $30.00
  • $34.50
  • ADD TO CART
  • Straight Line with Threaded Collar Toggle Clamp MP-36224M
  • Compare
  • Wishlist
  • C1011
  • MP-36224M
  • Straight Line Toggle Clamp
  •  
  • 180º
  • ~
  • 67
  • ~
  • ~
  • ~
  • 1
  • 690kg
  • ~
  • 0.7
  • $40.00
  • $46.00
  • ADD TO CART
  • Straight Line Toggle Clamp MP-303-EM
  • Compare
  • Wishlist
  • C1009
  • MP-303-EM
  • Straight Line Toggle Clamp
  •  
  • 190º
  • ~
  • 50
  • ~
  • ~
  • ~
  • 1
  • 450kg
  • ~
  • 1.0
  • $44.00
  • $50.60
  • ADD TO CART
  • Straight Line Toggle Clamp MP-304-HM
  • Compare
  • Wishlist
  • C1010
  • MP-304-HM
  • Straight Line Toggle Clamp
  •  
  • 190º
  • ~
  • 62
  • ~
  • ~
  • ~
  • 1
  • 680kg
  • ~
  • 1.5
  • $48.00
  • $55.20
  • ADD TO CART
  • Forged Steel F-Clamp FC-820
  • Compare
  • Wishlist
  • C0021
  • FC-820
  • T-Bar Handle
  • 200mm
  • ~
  • ~
  • ~
  • 80mm
  • 200mm
  • 7.5 x 15.5mm
  • ~
  • 250kg
  • ~
  • 0.53
  • $26.00
  • $29.90
  • ADD TO CART
  • Forged Steel F-Clamp FC-1020
  • Compare
  • Wishlist
  • C0025
  • FC-1020
  • T-Bar Handle
  • 200mm
  • ~
  • ~
  • ~
  • 100mm
  • 200mm
  • 9.5 x 19.5
  • ~
  • 340kg
  • ~
  • 1
  • $34.00
  • $39.10
  • ADD TO CART
  • Forged Steel F-Clamp FC-1030
  • Compare
  • Wishlist
  • C0027
  • FC-1030
  • T-Bar Handle
  • 300mm
  • ~
  • ~
  • ~
  • 100mm
  • 300mm
  • 9.5 x 19.5
  • ~
  • 340kg
  • ~
  • 1.13
  • $38.00
  • $43.70
  • ADD TO CART
  • Forged Steel F-Clamp FC-1230
  • Compare
  • Wishlist
  • C0032
  • FC-1230
  • T-Bar Handle
  • 300mm
  • ~
  • ~
  • ~
  • 120mm
  • 300mm
  • 10.6 x 22
  • ~
  • 370kg
  • ~
  • 1.35
  • $42.00
  • $48.30
  • ADD TO CART
  • Forged Steel F-Clamp FC-1250
  • Compare
  • Wishlist
  • C0034
  • FC-1250
  • T-Bar Handle
  • 500mm
  • ~
  • ~
  • ~
  • 120mm
  • 500mm
  • 10.6 x 22
  • ~
  • 370kg
  • ~
  • 1.69
  • $44.00
  • $50.60
  • ADD TO CART
  • Forged Steel F-Clamp FC-1430
  • Compare
  • Wishlist
  • C0052
  • FC-1430
  • T-Bar Handle
  • 300mm
  • ~
  • ~
  • ~
  • 140mm
  • 300mm
  • 11.9 x 25.4
  • ~
  • 610kg
  • ~
  • 1.92
  • $56.00
  • $64.40
  • ADD TO CART
  • Forged Steel F-Clamp FC-1450
  • Compare
  • Wishlist
  • C0054
  • FC-1450
  • T-Bar Handle
  • 500mm
  • ~
  • ~
  • ~
  • 140mm
  • 500mm
  • 11.9 x 25.4
  • ~
  • 610kg
  • ~
  • 2.37
  • $62.00
  • $71.30
  • ADD TO CART
  • Forged Steel Ratchet F-Clamp RFC-820
  • Compare
  • Wishlist
  • C0071
  • RFC-820
  • Ratchet F Clamp
  • 200mm
  • ~
  • ~
  • ~
  • 80mm
  • 200mm
  • 7.5 x 15.5
  • ~
  • 230kg
  • ~
  • 0.64
  • $34.00
  • $39.10
  • ADD TO CART
  • Forged Steel Ratchet F-Clamp RFC-1020
  • Compare
  • Wishlist
  • C0075
  • RFC-1020
  • Ratchet F Clamp
  • 200mm
  • ~
  • ~
  • ~
  • 100mm
  • 200mm
  • 9.5 x 19.5
  • ~
  • 280kg
  • ~
  • 1.22
  • $44.00
  • $50.60
  • ADD TO CART
  • Forged Steel Ratchet F-Clamp RFC-1030
  • Compare
  • Wishlist
  • C0077
  • RFC-1030
  • Ratchet F Clamp
  • 300mm
  • ~
  • ~
  • ~
  • 100mm
  • 300mm
  • 9.5 x 19.5
  • ~
  • 280kg
  • ~
  • 1.35
  • $50.00
  • $57.50
  • ADD TO CART
  • Forged Steel Ratchet F-Clamp RFC-1230
  • Compare
  • Wishlist
  • C0082
  • RFC-1230
  • Ratchet F Clamp
  • 300mm
  • ~
  • ~
  • ~
  • 120mm
  • 300mm
  • 10.6 x 22
  • ~
  • 300kg
  • ~
  • 1.56
  • $56.00
  • $64.40
  • ADD TO CART
  • Forged Steel Ratchet F-Clamp RFC-1250
  • Compare
  • Wishlist
  • C0084
  • RFC-1250
  • Ratchet F Clamp
  • 500mm
  • ~
  • ~
  • ~
  • 120mm
  • 500mm
  • 10.6 x 22
  • ~
  • 300kg
  • ~
  • 1.9
  • $62.00
  • $71.30
  • ADD TO CART
  • Forged Steel Ratchet F-Clamp RFC-1430
  • Compare
  • Wishlist
  • C0092
  • RFC-1430
  • Ratchet F Clamp
  • 300mm
  • ~
  • ~
  • ~
  • 140mm
  • 300mm
  • 11.9 x 25.4
  • ~
  • 510kg
  • ~
  • 2.32
  • $68.00
  • $78.20
  • ADD TO CART
  • Forged Steel Ratchet F-Clamp RFC-1450
  • Compare
  • Wishlist
  • C0094
  • RFC-1450
  • Ratchet F Clamp
  • 500mm
  • ~
  • ~
  • ~
  • 140mm
  • 500mm
  • 11.9 x 25.4
  • ~
  • 510kg
  • ~
  • 2.76
  • $74.00
  • $85.10
  • ADD TO CART
  • On Sale - Limited Stock Corner Clamping Plier PL634
  • Compare
  • Wishlist
  • W1013
  • PL634
  • Corner Plier
  • 32mm (B)
  • ~
  • ~
  • ~
  • 76 (A)
  • ~
  • ~
  • ~
  • ~
  • 216 (C)
  • 0.5
  • $77.39
  • $89.00
  • ADD TO CART
  • On Sale - Limited Stock Adjustable Corner Clamping Plier Set PA634
  • Compare
  • Wishlist
  • W1012
  • PA634
  • Adjustable Corner Plier Set
  • 76mm (B)
  • ~
  • ~
  • ~
  • 76 (A)
  • ~
  • ~
  • ~
  • ~
  • 216 (C)
  • 1.1
  • $127.83
  • $147.00
  • ADD TO CART
  • Limited Stock Locking C-Clamp - Swivel Tip PR6S
  • Compare
  • Wishlist
  • W1018
  • PR6S
  • Locking Clamp-Swivel Tip
  • 56mm
  • ~
  • ~
  • ~
  • 46
  • ~
  • ~
  • ~
  • ~
  • ~
  • 0.2
  • $46.00
  • $52.90
  • ADD TO CART
  • On Sale - Limited Stock Locking C-Clamp - Round Tip PR115
  • Compare
  • Wishlist
  • W1016
  • PR115
  • Locking Clamp-Round Tip
  • 102mm
  • ~
  • ~
  • ~
  • 83
  • ~
  • ~
  • ~
  • ~
  • ~
  • 0.9
  • $49.57
  • $57.00
  • ADD TO CART
  • On Sale - Limited Stock Locking C-Clamp - Swivel Tip PR115S
  • Compare
  • Wishlist
  • W1017
  • PR115S
  • Locking Clamp-Swivel Tip
  • 102mm
  • ~
  • ~
  • ~
  • 83
  • ~
  • ~
  • ~
  • ~
  • ~
  • 1.0
  • $56.52
  • $65.00
  • ADD TO CART